# Visualization
TKV3d
Graphic3d

# Graphic3d_SetListOfSetOfGroup Class Reference

`#include <Graphic3d_SetListOfSetOfGroup.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_SetListOfSetOfGroup ()
Standard_EXPORT void | Assign (const Graphic3d_SetListOfSetOfGroup &Other)
void | operator= (const Graphic3d_SetListOfSetOfGroup &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~Graphic3d_SetListOfSetOfGroup ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(Graphic3d_Group)&I)
Standard_EXPORT void | Prepend (const Handle(Graphic3d_Group)&I, Graphic3d_ListIteratorOfSetListOfSetOfGroup &theIt)
Standard_EXPORT void | Prepend (Graphic3d_SetListOfSetOfGroup &Other)
Standard_EXPORT void | Append (const Handle(Graphic3d_Group)&I)
Standard_EXPORT void | Append (const Handle(Graphic3d_Group)&I, Graphic3d_ListIteratorOfSetListOfSetOfGroup &theIt)
Standard_EXPORT void | Append (Graphic3d_SetListOfSetOfGroup &Other)
Standard_EXPORT Handle_Graphic3d_Group & | First () const
Standard_EXPORT Handle_Graphic3d_Group & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (Graphic3d_ListIteratorOfSetListOfSetOfGroup &It)
Standard_EXPORT void | InsertBefore (const Handle(Graphic3d_Group)&I, Graphic3d_ListIteratorOfSetListOfSetOfGroup &It)
Standard_EXPORT void | InsertBefore (Graphic3d_SetListOfSetOfGroup &Other, Graphic3d_ListIteratorOfSetListOfSetOfGroup &It)
Standard_EXPORT void | InsertAfter (const Handle(Graphic3d_Group)&I, Graphic3d_ListIteratorOfSetListOfSetOfGroup &It)
Standard_EXPORT void | InsertAfter (Graphic3d_SetListOfSetOfGroup &Other, Graphic3d_ListIteratorOfSetListOfSetOfGroup &It)

## Private Member Functions

Standard_EXPORT | Graphic3d_SetListOfSetOfGroup (const Graphic3d_SetListOfSetOfGroup &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_SetListOfSetOfGroup::Graphic3d_SetListOfSetOfGroup | ( |  | ) |

Graphic3d_SetListOfSetOfGroup::~Graphic3d_SetListOfSetOfGroup | ( |  | ) | `[inline]`

Standard_EXPORT Graphic3d_SetListOfSetOfGroup::Graphic3d_SetListOfSetOfGroup | ( | const Graphic3d_SetListOfSetOfGroup & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Append | ( | Graphic3d_SetListOfSetOfGroup & | Other | ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Append | ( | const Handle(Graphic3d_Group)& | I,
|  | Graphic3d_ListIteratorOfSetListOfSetOfGroup & | theIt
| ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Append | ( | const Handle(Graphic3d_Group)& | I | ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Assign | ( | const Graphic3d_SetListOfSetOfGroup & | Other | ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer Graphic3d_SetListOfSetOfGroup::Extent | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_Group& Graphic3d_SetListOfSetOfGroup::First | ( |  | ) | const

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::InsertAfter | ( | Graphic3d_SetListOfSetOfGroup & | Other,
|  | Graphic3d_ListIteratorOfSetListOfSetOfGroup & | It
| ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::InsertAfter | ( | const Handle(Graphic3d_Group)& | I,
|  | Graphic3d_ListIteratorOfSetListOfSetOfGroup & | It
| ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::InsertBefore | ( | Graphic3d_SetListOfSetOfGroup & | Other,
|  | Graphic3d_ListIteratorOfSetListOfSetOfGroup & | It
| ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::InsertBefore | ( | const Handle(Graphic3d_Group)& | I,
|  | Graphic3d_ListIteratorOfSetListOfSetOfGroup & | It
| ) |

Standard_Boolean Graphic3d_SetListOfSetOfGroup::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_Group& Graphic3d_SetListOfSetOfGroup::Last | ( |  | ) | const

void Graphic3d_SetListOfSetOfGroup::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_SetListOfSetOfGroup::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_SetListOfSetOfGroup::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Graphic3d_SetListOfSetOfGroup::operator= | ( | const Graphic3d_SetListOfSetOfGroup & | Other | ) | `[inline]`

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Prepend | ( | Graphic3d_SetListOfSetOfGroup & | Other | ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Prepend | ( | const Handle(Graphic3d_Group)& | I,
|  | Graphic3d_ListIteratorOfSetListOfSetOfGroup & | theIt
| ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Prepend | ( | const Handle(Graphic3d_Group)& | I | ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::Remove | ( | Graphic3d_ListIteratorOfSetListOfSetOfGroup & | It | ) |

Standard_EXPORT void Graphic3d_SetListOfSetOfGroup::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address Graphic3d_SetListOfSetOfGroup::myFirst `[private]`

Standard_Address Graphic3d_SetListOfSetOfGroup::myLast `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_SetListOfSetOfGroup.hxx